Bug 31717 - ngspice update request
Summary: ngspice update request
Status: NEW
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: 8
Hardware: All Linux
Priority: Normal normal
Target Milestone: ---
Assignee: David GEIGER
QA Contact:
URL: https://ngspice.sourceforge.io/news.html
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2023-03-22 21:52 CET by Morgan Leijström
Modified: 2023-04-01 21:11 CEST (History)
2 users (show)

See Also:
Source RPM: ngspice-33-1.mga8.src.rpm, ngspice-38-1.mga9.src.rpm
CVE:
Status comment:


Attachments

Description Morgan Leijström 2023-03-22 21:52:16 CET
Description of problem:
Our version in mga8, 33, is old
Next version, 34 improved function with KiCAD,our flagship EDA
 (Usage https://www.kicad.org/discover/spice/)
Cauldron have 38
39 got released jan 31  (would be good to update cauldron too)
Morgan Leijström 2023-03-22 21:54:59 CET

Whiteboard: (none) => MGA8TOO
Assignee: bugsquad => pkg-bugs
Version: 8 => Cauldron

Comment 1 Lewis Smith 2023-03-23 21:37:12 CET
For Cauldron/M9 I am not sure that version freeze would allow an update now, given that we already have v38. If it cannot be done before release, this request would remain valid after.
Why have you only suggested updating to v34 for M8? Any reason for not pushing further?

When you reply, please assign this to daviddavid who did earlier version updates for this application.

Assignee: pkg-bugs => bugsquad
CC: (none) => lewyssmith

Comment 2 Morgan Leijström 2023-03-23 22:14:27 CET
I should be more clear; V34 *and above* support KiCAD better.
Of course latest released version would be best.

For others to judge if 39 is worth to push to cauldron.
Depending on that, 38 or 39 in mga8
(as it may not be higher than cauldron)

Packagers have varied; I assign latest, and earlier in CC.

I now found we have
Bug 27276 - No ngspice in the ngspice package

I have not yet played with ngspice, so do not know what is needed 

( I attempt to start learning KiCAD 7 + ngspice.
- Years since I made boards at all, then using Eagle)

See Also: (none) => https://bugs.mageia.org/show_bug.cgi?id=27276
Assignee: bugsquad => geiger.david68210
CC: (none) => jani.valimaa, luigiwalser

Comment 3 Lewis Smith 2023-03-25 11:12:39 CET
So we agree:
- For M9, v38 as-is cannot be bad, but the update to v39 should be done eventually.
- For M8, it certainly looks worth updating to at least v34 (or better).

CC: lewyssmith => (none)

Comment 4 Morgan Leijström 2023-04-01 21:11:41 CEST
I noticed that he new version 40 is in freeze move for Cauldron :)
That was really quick, it was released today 1 April.
It is a mainly bugfix release over v39
Thank you David G
Tested it OK on Cauldron with simulation example in KiCad.

So M8 can also get v 40

Whiteboard: MGA8TOO => (none)
Version: Cauldron => 8


Note You need to log in before you can comment on or make changes to this bug.